import { Fdc3ChannelEvent } from './fdc3-channel-event';
import { foundationGridProRaiseIntentActionRenderer } from './fdc3-grid-action-raise-intent';
/**
 * @public
 */
export const baseFdc3Components = {
    foundationGridProRaiseIntentActionRenderer,
    Fdc3ChannelEvent,
    register(container, ...rest) {
        if (!container) {
            // preserve backward compatibility with code that loops through
            // the values of this object and calls them as funcs with no args
            return;
        }
        for (const key in this) {
            if (key === 'register') {
                continue;
            }
            this[key]().register(container, ...rest);
        }
    },
};
